"""Add analysis_result to unstructured_file

Revision ID: 008
Revises: 007
Create Date: 2026-04-23 19:00:00.000000

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision: str = "008"
down_revision: Union[str, None] = "007"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.add_column("unstructured_file", sa.Column("analysis_result", sa.JSON(), nullable=True))


def downgrade() -> None:
    op.drop_column("unstructured_file", "analysis_result")
